List pages
GET
/merchants/{merchantCode}/shops/{shopCode}/pages
const url = 'https://cms.shopgate.io/v1/merchants/example/shops/example/pages?limit=100&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://cms.shopgate.io/v1/merchants/example/shops/example/pages?limit=100&offset=0'Retrieves a list of all pages for a shop. Supports filtering by status or metadata and custom sorting.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
shopCode
required
string
Query Parameters
Section titled “Query Parameters”limit
integer
The limit of entries of one page
offset
integer
The offset where to start the page
sort
string
Sorting of pages
filters
string format: json
Filter string
Responses
Section titled “Responses”Get pages response
Media typeapplication/json
object
pages
required
Array<object>
object
code
Code of the entity
string
name
string
pageTitle
Localization object, see Entity Localization for further information.
object
key
additional properties
null | string
slug
string
type
string
isFavorite
boolean
isProtected
boolean
dropzones
object
cmsWidgetList
Array<object>
object
code
required
Code of the entity
string
widgetConfigDefinitionCode
required
Code of the entity
string
widgetConfig
required
object
key
additional properties
any
visibility
required
object
isHidden
boolean
scheduleStartDate
required
null | string format: date-time
scheduleEndDate
required
null | string format: date-time
layout
required
object
marginTop
required
number | null
marginBottom
required
number | null
marginLeft
required
number | null
marginRight
required
number | null
createDate
string format: date-time
updateDate
null | string format: date-time
lastPublishDate
null | string format: date-time
meta
required
object
limit
number
offset
number
totalItemCount
number
Example
{ "pages": [ { "code": "8b2802a6-ab0e-4310-97d4-096ae8b3610f", "pageTitle": { "en-us": "string in english", "de-de": "Zeichenkette auf Deutsch" }, "type": "cms", "isFavorite": false, "isProtected": false, "dropzones": { "cmsWidgetList": [ { "code": "8b2802a6-ab0e-4310-97d4-096ae8b3610f", "widgetConfigDefinitionCode": "8b2802a6-ab0e-4310-97d4-096ae8b3610f", "visibility": { "isHidden": false, "scheduleStartDate": "2018-12-12T14:27:23.114Z", "scheduleEndDate": "2018-12-12T14:27:23.114Z" } } ] }, "createDate": "2018-12-12T14:27:23.114Z", "updateDate": "2018-12-12T14:27:23.114Z", "lastPublishDate": "2018-12-12T14:27:23.114Z" } ], "meta": { "limit": 10, "offset": 0, "totalItemCount": 1 }}
